Bug 47464 - Do not include *.class files created by IDE into src archives of TC 5.5
Do not include *.class files created by IDE into src archives of TC 5.5
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Unknown
5.5.27
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-07-01 15:44 UTC by Konstantin Kolinko
Modified: 2009-07-07 04:52 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2009-07-01 15:44:50 UTC
src bundles in the distribution of TC 5.5.27 include *.class files. Those should not be there.

Also, as I understand, those ones in .tar.gz archive have gone through fixcrlf filter and are unusable.

I can reproduce this issue with current tc5.5.x using Eclipse IDE as the development environment. (The classes compiled by the IDE are the ones that are packed there).
Comment 1 Konstantin Kolinko 2009-07-05 08:33:39 UTC
I prepared patch and proposed it for 5.5.
Comment 2 Konstantin Kolinko 2009-07-07 04:52:28 UTC
Fixed. Will be OK in 5.5.28.